---
- hosts: firstcp 
  become: true
  become_method: sudo
  vars:
    - var_kube_version: 1.27
  tasks:
    - name: ensure cilium test scripts
      ansible.builtin.copy:
        src: "tests/{{ item }}"
        dest: "/root/{{ item }}"
        owner: root
        group: root
        mode: 0700
      with_items:
        - allow-empire-in-namespace.yaml  
        - cilium-connectivity-test.bash  
        - create-starwars.bash  
        - starwars.bash  
        - xwing-dns-deny-policy.yaml
        - teardown-starwars.bash
      ignore_errors: true
    - name: ensure rook test scripts
      ansible.builtin.copy:
        src: "tests/{{ item }}"
        dest: "/root/{{ item }}"
        owner: root
        group: root
        mode: 0700
      with_items:
        - mysql.yaml
        - wordpress.yaml
      ignore_errors: true
    - name: test star wars (cilium)
      shell: "export KUBECONFIG=/etc/kubernetes/admin.conf && /root/create-starwars.bash && /root/starwars.bash"
      ignore_errors: true
    - name: test rook
      shell: "export KUBECONFIG=/etc/kubernetes/admin.conf && kubectl create -f /root/mysql.yaml -f /root/wordpress.yaml"
      ignore_errors: true
    - name: ensure p8s test scripts
      ansible.builtin.copy:
        src: "tests/demo/{{ item }}"
        dest: "/root/{{ item }}"
        owner: root
        group: root
        mode: 0700
      with_items:
        - demo-service.yml  
        - servicemonitor.yaml
      ignore_errors: true
    - name: test p8s 
      shell: "export KUBECONFIG=/etc/kubernetes/admin.conf && kubectl create -f /root/demo-service.yml -f /root/servicemonitor.yaml"
      ignore_errors: true

